# DefaultInputHandler

Implements \InputHandler

Prompts using print(); reads input from Console.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Stefan Bodewig stefan.bodewig@epost.de (Ant)
version | $Id: 0af7c6184c3983815d06a732d5153739ac197b16 $
package | phing.input

### Methods

## Constructs user prompt from a request.

    getPrompt( $request)

This implementation adds (choice1,choice2,choice3,...) to the prompt for `MultipleChoiceInputRequest`s.

### Arguments

#### $request

``

the request to construct the prompt for.

               Must not be <code>null</code>.

## Prompts and requests input. May loop until a valid input has been entered.

    handleInput(\InputRequest $request) : void

Precondition: the request.getPrompt will return a non-null value.

Postcondition: request.getInput will return a non-null value, request.isInputValid will return true.

throws |

### Arguments

#### $request

`\InputRequest`